purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.CoreImp.Module

# Documentation

data Module #

Constructors

Module |

Fields

- modHeader :: [Comment]
- modImports :: [Import]
- modBody :: [AST]
- modExports :: [Export]

data Import #

Constructors

Import Text PSString |

data Export #

Constructors

Export (NonEmpty Text) (Maybe PSString) |